Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1768371 - argparse.ArgumentError: argument --products: conflicting option string: --products
Summary: argparse.ArgumentError: argument --products: conflicting option string: --pro...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: did
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Šplíchal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-04 09:05 UTC by Karel Volný
Modified: 2019-11-23 01:30 UTC (History)
2 users (show)

Fixed In Version: did-0.15-1.fc30 did-0.15-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-23 01:12:28 UTC
Type: Bug


Attachments (Terms of Use)

Description Karel Volný 2019-11-04 09:05:11 UTC
Description of problem:
Trying to run did, I'm getting 'conflicting option string' error.

Version-Release number of selected component (if applicable):
did-0.14-2.fc31.noarch

How reproducible:
always

Steps to Reproduce:
1. did

Actual results:
Traceback (most recent call last):
  File "/usr/bin/did", line 42, in <module>
    did.cli.main()
  File "/usr/lib/python3.7/site-packages/did/cli.py", line 188, in main
    options, header = Options(arguments).parse()
  File "/usr/lib/python3.7/site-packages/did/cli.py", line 62, in __init__
    self.sample_stats.add_option(self.parser)
  File "/usr/lib/python3.7/site-packages/did/stats.py", line 225, in add_option
    stat.add_option(parser)
  File "/usr/lib/python3.7/site-packages/did/stats.py", line 149, in add_option
    stat.add_option(group)
  File "/usr/lib/python3.7/site-packages/did/stats.py", line 55, in add_option
    "--{0}".format(self.option), action="store_true", help=self.name)
  File "/usr/lib64/python3.7/argparse.py", line 1373, in add_argument
    return self._add_action(action)
  File "/usr/lib64/python3.7/argparse.py", line 1577, in _add_action
    action = super(_ArgumentGroup, self)._add_action(action)
  File "/usr/lib64/python3.7/argparse.py", line 1387, in _add_action
    self._check_conflict(action)
  File "/usr/lib64/python3.7/argparse.py", line 1526, in _check_conflict
    conflict_handler(action, confl_optionals)
  File "/usr/lib64/python3.7/argparse.py", line 1535, in _handle_conflict_error
    raise ArgumentError(action, message % conflict_string)
argparse.ArgumentError: argument --products: conflicting option string: --products

Comment 1 Petr Šplíchal 2019-11-14 22:44:31 UTC
Unfortunately you haven't provided a config file which I could
test with. But it seems your issue has been already reported
upstream:

    https://github.com/psss/did/issues/208

This should now be working fine. I'm going to create new update
which will contain the fix.

Comment 2 Fedora Update System 2019-11-14 23:12:24 UTC
FEDORA-2019-3c8f57f9b1 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3c8f57f9b1

Comment 3 Fedora Update System 2019-11-14 23:15:14 UTC
FEDORA-2019-8ee53ec6c0 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8ee53ec6c0

Comment 4 Fedora Update System 2019-11-15 03:45:34 UTC
did-0.15-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8ee53ec6c0

Comment 5 Fedora Update System 2019-11-15 04:39:08 UTC
did-0.15-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3c8f57f9b1

Comment 6 Karel Volný 2019-11-18 16:50:32 UTC
ok, I'm a bit further :-)

[kvolny@kvolny ~]$ kinit kvolny
Password for kvolny: 
[kvolny@kvolny ~]$ did
Status report for the week 47 (2019-11-18 to 2019-11-24).

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 Karel Volný <kvolny>
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 ERROR  500 Server Error: Internal Server Error for url: https://projects.engineering.redhat.com/step-auth-gss
 ERROR  Jira authentication failed. Try kinit.
[kvolny@kvolny ~]$ rpm -q did
did-0.15-1.fc31.noarch

anyways, I don't see the traceback any more ...

Comment 7 Petr Šplíchal 2019-11-18 18:08:17 UTC
Good. Regarding Jira: Unfortunately there have been some changes
on our internal instance which broken stats gathering. This fails
with the old version as well and will need some extra care and
investigation. See also: https://github.com/psss/did/issues/204

Comment 8 Fedora Update System 2019-11-23 01:12:28 UTC
did-0.15-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-11-23 01:30:53 UTC
did-0.15-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.